## pipewire 0.3.51

=== meson_options.txt ===
option('docdir',
       type : 'string',
       description : 'Directory for installing documentation to (defaults to pipewire_datadir/doc/meson.project_name() )')
option('docs',
       description: 'Build documentation',
       type: 'feature',
       value: 'disabled')
option('examples',
       description: 'Build examples',
       type: 'feature',
       value: 'enabled')
option('man',
       description: 'Build manpages',
       type: 'feature',
       value: 'auto')
option('tests',
       description: 'Build tests',
       type: 'feature',
       value: 'enabled',
       yield : true)
option('installed_tests',
       description: 'Install manual and automated test executables',
       type: 'feature',
       value: 'disabled')
option('gstreamer',
       description: 'Build GStreamer plugins',
       type: 'feature',
       value: 'auto')
option('gstreamer-device-provider',
       description: 'Build GStreamer device provider plugin',
       type: 'feature',
       value: 'auto')
option('systemd',
       description: 'Enable systemd integration',
       type: 'feature',
       value: 'auto')
option('systemd-system-service',
       description: 'Install systemd system service file',
       type: 'feature',
       value: 'disabled')
option('systemd-user-service',
       description: 'Install systemd user service file (ignored without systemd)',
       type: 'feature',
       value: 'enabled')
option('pipewire-alsa',
       description: 'Enable pipewire-alsa integration',
       type: 'feature',
       value: 'auto')
option('pipewire-jack',
       description: 'Enable pipewire-jack integration',
       type: 'feature',
       value: 'enabled')
option('pipewire-v4l2',
       description: 'Enable pipewire-v4l2 integration',
       type: 'feature',
       value: 'enabled')
option('jack-devel',
       description: 'Install jack development files',
       type: 'boolean',
       value: 'false')
option('libjack-path',
       description: 'Where to install the libjack.so library',
       type: 'string')
option('libv4l2-path',
       description: 'Where to install the libpw-v4l2.so library',
       type: 'string')
option('spa-plugins',
       description: 'Enable spa plugins integration',
       type: 'feature',
       value: 'enabled')
option('alsa',
       description: 'Enable alsa spa plugin integration',
       type: 'feature',
       value: 'auto')
option('audiomixer',
       description: 'Enable audiomixer spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audioconvert',
       description: 'Enable audioconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('bluez5',
       description: 'Enable bluez5 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('bluez5-backend-hsp-native',
       description: 'Enable HSP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hfp-native',
       description: 'Enable HFP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-ofono',
       description: 'Enable oFono HFP backend in bluez5 spa plugin (no dependency on oFono)',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hsphfpd',
       description: 'Enable hsphfpd backend in bluez5 spa plugin (no dependency on hsphfpd)',
       type: 'feature',
       value: 'enabled')
option('bluez5-codec-aptx',
        description: 'Enable AptX Qualcomm open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-ldac',
        description: 'Enable LDAC Sony open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-aac',
        description: 'Enable Fraunhofer FDK AAC open source codec implementation',
        type: 'feature',
        value: 'auto')
option('control',
       description: 'Enable control spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audiotestsrc',
       description: 'Enable audiotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('ffmpeg',
       description: 'Enable ffmpeg spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('jack',
       description: 'Enable jack spa plugin integration',
       type: 'feature',
       value: 'auto')
option('support',
       description: 'Enable support spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('evl',
       description: 'Enable EVL support spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('test',
       description: 'Enable test spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('v4l2',
       description: 'Enable v4l2 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('dbus',
       description: 'Enable code that depends on dbus',
       type: 'feature',
       value: 'enabled')
option('libcamera',
       description: 'Enable libcamera spa plugin integration',
       type: 'feature',
       value: 'auto')
option('videoconvert',
       description: 'Enable videoconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('videotestsrc',
       description: 'Enable videotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('volume',
       description: 'Enable volume spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('vulkan',
       description: 'Enable vulkan spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('pw-cat',
       description: 'Build pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'auto')
option('udev',
       description: 'Enable Udev integration',
       type: 'feature',
       value: 'auto')
option('udevrulesdir',
       type : 'string',
       description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
option('systemd-system-unit-dir',
       type : 'string',
       description : 'Directory for system systemd units (defaults to /usr/lib/systemd/system)')
option('systemd-user-unit-dir',
       type : 'string',
       description : 'Directory for user systemd units (defaults to /usr/lib/systemd/user)')
option('sdl2',
       description: 'Enable code that depends on SDL 2',
       type: 'feature',
       value: 'auto')
option('sndfile',
       description: 'Enable code that depends on libsndfile',
       type: 'feature',
       value: 'auto')
option('libpulse',
       description: 'Enable code that depends on libpulse',
       type: 'feature',
       value: 'auto')
option('roc',
       description: 'Enable code that depends on roc toolkit',
       type: 'feature',
       value: 'auto')
option('avahi',
       description: 'Enable code that depends on avahi',
       type: 'feature',
       value: 'auto')
option('echo-cancel-webrtc',
       description : 'Enable WebRTC-based echo canceller',
       type : 'feature',
       value : 'auto')
option('libusb',
       description: 'Enable code that depends on libusb',
       type: 'feature',
       value: 'auto')
option('session-managers',
       description : 'Session managers to build (can be [] for none or an absolute path)',
       type : 'array',
       value : ['media-session'])
option('raop',
       description: 'Enable module for Remote Audio Output Protocol',
       type: 'feature',
       value: 'auto')
option('lv2',
       description: 'Enable loading of LV2 plugins',
       type: 'feature',
       value: 'auto')
option('x11',
       description: 'Enable code that depends on X11',
       type: 'feature',
       value: 'auto')
option('x11-xfixes',
       description: 'Enable code that depends on XFixes',
       type: 'feature',
       value: 'auto')
option('libcanberra',
       description: 'Enable code that depends on libcanberra',
       type: 'feature',
       value: 'auto')
option('legacy-rtkit',
       description: 'Build legacy rtkit module',
       type: 'boolean',
       value: 'true')

=== debian/changelog ===
pipewire (0.3.51-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 May 2022 16:47:38 -0700

pipewire (0.3.51-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Drop patches included in upstream release:
     - fix_argument_type_for_Long.patch
     - fix_c90_header_include.patch
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 May 2022 16:01:05 +0200

pipewire (0.3.50-2) unstable; urgency=medium

  [ Markus Teich ]
  * Remove obsolete xdg autostart conffile.

  [ Dylan Aïssi ]
  * Add upstream patches:
    - fix argument type (Closes: #1008907)
    - fix C90 header include (Closes: #1010151)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 26 Apr 2022 22:06:23 +0200

pipewire (0.3.50-1) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * New upstream release
  * Install a new manpage for pw-link
  * Update symbols file

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 Apr 2022 10:11:53 +0200

pipewire (0.3.49-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Install a new manpage for pw-top
  * Add libxfixes-dev to Build-Depends
  * pipewire-pulse: add pulseaudio-utils in Suggests (Closes: #1007949)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 30 Mar 2022 12:06:06 +0200

=== debian/control ===
Source: pipewire
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 13),
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               libasound2-dev,
               libavahi-client-dev,
               libbluetooth-dev,
               libcanberra-dev,
               libdbus-1-dev,
               libfreeaptx-dev | libopenaptx-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libjack-jackd2-dev,
               libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               liblilv-dev,
               libncurses-dev,
               libpulse-dev,
               libreadline-dev,
               libsbc-dev,
               libsdl2-dev,
               libsndfile1-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libusb-1.0-0-dev,
               libv4l-dev,
               libwebrtc-audio-processing-dev,
               libxfixes-dev (>= 6),
               meson (>= 0.59.0),
               pkg-config,
               python3-docutils,
               systemd [linux-any]
Build-Conflicts: libfdk-aac-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
Homepage: https://pipewire.org/
Rules-Requires-Root: no

Package: libpipewire-0.3-0
Architecture: linux-any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libpipewire-0.3-common, pipewire (= ${binary:Version})
Description: libraries for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.

Package: libpipewire-0.3-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server - common files
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libpipewire-0.3-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libpipewire-0.3-0 (= ${binary:Version}),
         libspa-0.2-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files.

Package: libpipewire-0.3-modules
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains modules used by the PipeWire server and by clients,
 and should not normally be depended on directly. PipeWire clients should
 depend on the pipewire package instead.

Package: libspa-0.2-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server Simple Plugin API - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files for the Simple Plugin API.

Package: libspa-0.2-modules
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains core support modules used in the Simple Plugin API,
 together with test and utility modules that do not introduce additional
 dependencies. It should not normally be depended on directly: PipeWire
 clients should depend on the pipewire package instead.

Package: pipewire-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libpipewire-0.2-doc (<< 0.3.1)
Replaces: libpipewire-0.2-doc (<< 0.3.1)
Description: libraries for the PipeWire multimedia server - documentation
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the API reference.

Package: pipewire
Section: video
Architecture: linux-any
Multi-Arch: same
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         pipewire-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: audio and video processing engine multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This metapackage makes PipeWire available for programs of the same
 architecture, and provides the systemd user service necessary to run
 pipewire on-demand.

Package: pipewire-bin
Section: video
Architecture: linux-any
Multi-Arch: foreign
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dbus-user-session, pipewire-media-session | wireplumber, rtkit
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - programs
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the server and command-line utilities, and should
 not normally be depended on directly. PipeWire clients should depend on
 the pipewire package instead.

Package: pipewire-pulse
Section: video
Architecture: linux-any
Multi-Arch: foreign
Replaces: pipewire-bin (<< 0.3.27-2)
Breaks: pipewire-bin (<< 0.3.27-2)
Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: pulseaudio-utils
Description: PipeWire PulseAudio daemon
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the PulseAudio replacement daemon.

Package: pipewire-audio-client-libraries
Architecture: linux-any
Multi-Arch: same
Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - audio client libraries
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains client libraries allowing programs designed for
 the ALSA, JACK and PulseAudio APIs to use a PipeWire server for audio
 playback and recording. They are not used by default, and are currently
 considered to be experimental.

Package: pipewire-tests
Architecture: linux-any
Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Section: misc
Description: PipeWire multimedia server - tests and examples
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains automated and manual tests and example programs.

Package: gstreamer1.0-pipewire
Architecture: linux-any
Multi-Arch: same
Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GStreamer 1.0 plugin for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains a plugin to make devices managed by the PipeWire
 server available as GStreamer sources and sinks.

Package: libspa-0.2-bluetooth
Architecture: linux-any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server - bluetooth plugins
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains a plugin to make Bluetooth audio devices such as
 speakers and headsets available to the PipeWire server. It is considered

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DOCS=disabled
else
DOCS=enabled
endif

ifneq (,$(filter s390x hppa m68k powerpc ppc64 sparc64,$(DEB_HOST_ARCH)))
BLUEZ5_CODEC_LDAC=disabled
else
BLUEZ5_CODEC_LDAC=enabled
endif

# lilv and some of its dependencies are in universe
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
LV2=disabled
else
LV2=enabled
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Daudiotestsrc=enabled \
		-Dauto_features=enabled \
		-Davahi=enabled \
		-Dbluez5-codec-aac=disabled \
		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
		-Dlibcamera=disabled \
		-Ddocs=$(DOCS) \
		-Dffmpeg=disabled \
		-Dinstalled_tests=enabled \
		-Dlv2=$(LV2) \
		-Dman=enabled \
		-Droc=disabled \
		-Dsession-managers= \
		-Dtest=enabled \
		-Dvideotestsrc=enabled \
		-Dvolume=enabled \
		-Dvulkan=disabled \
		$(NULL)
	install -d debian/ld.so.conf.d
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"

test_timeout_multiplier = 1

ifneq ($(filter arm hppa ia64 m68k riscv64 sh4 sparc%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 5
endif

ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 10
endif

override_dh_auto_test:
	dh_auto_test \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa-0.2 \
		-- -c4

override_dh_shlibdeps-arch:
	dh_shlibdeps \
		-ppipewire-audio-client-libraries \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		-- \
		-Ldebian/pipewire-audio-client-libraries.shlibs.local \
		$(NULL)
	dh_shlibdeps \
		--remaining-packages \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		$(NULL)

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## pipewire 0.3.56

=== meson_options.txt ===
--- 
+++ 
@@ -112,6 +112,10 @@
         description: 'Enable Fraunhofer FDK AAC open source codec implementation',
         type: 'feature',
         value: 'auto')
+option('bluez5-codec-lc3plus',
+        description: 'Enable LC3plus open source codec implementation',
+        type: 'feature',
+        value: 'auto')
 option('control',
        description: 'Enable control spa plugin integration',
        type: 'feature',
@@ -241,3 +245,7 @@
        description: 'Build legacy rtkit module',
        type: 'boolean',
        value: 'true')
+option('avb',
+       description: 'Enable AVB code',
+       type: 'feature',
+       value: 'auto')

=== debian/changelog ===
pipewire (0.3.56-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 22 Aug 2022 16:19:07 +0300

pipewire (0.3.56-1) unstable; urgency=medium

  * New upstream release
  * Drop patches included in upstream release:
      - 40552a0e: jack: only mix when we have input to mix
  * Cherry-pick upstream recommended patches:
      - aaa015d0: avb: fix compilation on big endian
      - 1a5ec445: avb: fix compilation on big endian
      - f857fd46: avb: fix compilation on big endian
  * Install the new avb module in libspa-0.2-modules
  * Don't install new filter-chain example conf file
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Tue, 19 Jul 2022 22:47:35 +0200

pipewire (0.3.55-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 Jul 2022 18:10:38 +0200

pipewire (0.3.55-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick upstream recommended patch:
      - 40552a0e: jack: only mix when we have input to mix
  * Don't install new filter-chain example conf files
  * Reintroduce pipewire-audio-client-libraries as a transitional package
      to simplify the transition from Bullseye to Bookworm (Closes: #1014639)
  * Mark pipewire-{alsa,jack,v4l2} as 'Multi-Arch: same' (Closes: #1014608)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 Jul 2022 10:42:21 +0200

pipewire (0.3.54-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Jul 2022 10:07:26 +0200

pipewire (0.3.54-1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Split the legacy pipewire-audio-client-libraries in alsa and jack

  [ Dylan Aïssi ]
  * New upstream release
     - Fix issue with microphone input on bluetooth headset (Closes: #1014458)
  * pipewire-jack: remove suggests pulseaudio-utils and libspa-0.2-bluetooth
  * Switch section from video to sound for pipewire-pulse, pipewire-alsa
      and pipewire-jack
  * Improve description of pipewire-alsa and pipewire-jack
  * Move the V4L2 plugin into its own package
  * Update copyright file

 -- Dylan Aïssi <daissi@debian.org>  Thu, 07 Jul 2022 17:11:37 +0200

pipewire (0.3.53-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Fri, 01 Jul 2022 14:08:59 +0200

pipewire (0.3.52-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release
  * libpipewire-0.3-0: Demote pipewire from Recommends to Suggests
      (Closes: #1011130)
  * pipewire-pulse: Suggests for libspa-0.2-bluetooth
  * Bump libxfixes-dev version requirement to 6.0.0
  * Disable LC3plus codec
  * Update symbols file
  * Add myself in Uploaders
  * Standards-Version: 4.6.1 (no changes needed)

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Jun 2022 22:17:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,42 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Uploaders: Jeremy Bicha <jbicha@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                doxygen <!nodoc>,
                graphviz <!nodoc>,
                libasound2-dev,
                libavahi-client-dev,
                libbluetooth-dev,
-               libcanberra-dev,
                libdbus-1-dev,
-               libfreeaptx-dev | libopenaptx-dev,
                libglib2.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libjack-jackd2-dev,
+               libcanberra-dev,
                libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                liblilv-dev,
                libncurses-dev,
+               libfreeaptx-dev,
                libpulse-dev,
                libreadline-dev,
                libsbc-dev,
                libsdl2-dev,
                libsndfile1-dev,
                libssl-dev,
-               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libusb-1.0-0-dev,
                libv4l-dev,
                libwebrtc-audio-processing-dev,
-               libxfixes-dev (>= 6),
+               libxfixes-dev (>= 1:6.0.0),
                meson (>= 0.59.0),
                pkg-config,
-               python3-docutils,
-               systemd [linux-any]
+               python3-docutils
 Build-Conflicts: libfdk-aac-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
 Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
 Homepage: https://pipewire.org/
@@ -49,8 +47,9 @@
 Multi-Arch: same
 Depends: libspa-0.2-modules (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         libpipewire-0.3-common, pipewire (= ${binary:Version})
+         ${shlibs:Depends}
+Recommends: libpipewire-0.3-common
+Suggests: pipewire (= ${binary:Version})
 Description: libraries for the PipeWire multimedia server
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -198,7 +197,9 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dbus-user-session, pipewire-media-session | wireplumber, rtkit
+Recommends: dbus-user-session,
+            pipewire-media-session | wireplumber,
+            rtkit
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -215,13 +216,16 @@
  the pipewire package instead.
 
 Package: pipewire-pulse
-Section: video
+Section: sound
 Architecture: linux-any
 Multi-Arch: foreign
 Replaces: pipewire-bin (<< 0.3.27-2)
 Breaks: pipewire-bin (<< 0.3.27-2)
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Suggests: pulseaudio-utils
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: pulseaudio-utils,
+          libspa-0.2-bluetooth
 Description: PipeWire PulseAudio daemon
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -233,26 +237,67 @@
  .
  This package contains the PulseAudio replacement daemon.
 
-Package: pipewire-audio-client-libraries
-Architecture: linux-any
-Multi-Arch: same
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: ${shlibs:Recommends}
-Breaks: pipewire (<< 0.3.5)
-Replaces: pipewire (<< 0.3.5)
-Description: PipeWire multimedia server - audio client libraries
- PipeWire is a server and user space API to deal with multimedia
- pipelines. This includes:
- .
-  - Making available sources of video (such as from a capture devices or
-    application provided streams) and multiplexing this with clients.
-  - Accessing sources of video for consumption.
-  - Generating graphs for audio and video processing.
- .
- This package contains client libraries allowing programs designed for
- the ALSA, JACK and PulseAudio APIs to use a PipeWire server for audio
- playback and recording. They are not used by default, and are currently
- considered to be experimental.
+Package: pipewire-alsa
+Section: sound
+Architecture: linux-any
+Multi-Arch: same
+Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
+Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: PipeWire ALSA plugin
+ PipeWire is a server and user space API to deal with multimedia
+ pipelines. This includes:
+ .
+  - Making available sources of video (such as from a capture devices or
+    application provided streams) and multiplexing this with clients.
+  - Accessing sources of video for consumption.
+  - Generating graphs for audio and video processing.
+ .
+ This package contains the ALSA plugin.
+
+Package: pipewire-jack
+Section: sound
+Architecture: linux-any
+Multi-Arch: same
+Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
+Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: PipeWire JACK plugin
+ PipeWire is a server and user space API to deal with multimedia
+ pipelines. This includes:
+ .
+  - Making available sources of video (such as from a capture devices or
+    application provided streams) and multiplexing this with clients.
+  - Accessing sources of video for consumption.
+  - Generating graphs for audio and video processing.
+ .
+ This package contains the JACK plugin.
+
+Package: pipewire-v4l2
+Section: video
+Architecture: linux-any
+Multi-Arch: same
+Replaces: pipewire-bin (<< 0.3.54-1),
+          libpipewire-0.3-modules (<< 0.3.54-1)
+Breaks: pipewire-bin (<< 0.3.54-1),
+        libpipewire-0.3-modules (<< 0.3.54-1)
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: PipeWire V4L2 plugin
+ PipeWire is a server and user space API to deal with multimedia
+ pipelines. This includes:
+ .
+  - Making available sources of video (such as from a capture devices or
+    application provided streams) and multiplexing this with clients.
+  - Accessing sources of video for consumption.
+  - Generating graphs for audio and video processing.
+ .
+ This package contains the V4L2 plugin.
 
 Package: pipewire-tests
 Architecture: linux-any
@@ -274,31 +319,3 @@
 Multi-Arch: same
 Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: GStreamer 1.0 plugin for the PipeWire multimedia server
- PipeWire is a server and user space API to deal with multimedia
- pipelines. This includes:
- .
-  - Making available sources of video (such as from a capture devices or
-    application provided streams) and multiplexing this with clients.
-  - Accessing sources of video for consumption.
-  - Generating graphs for audio and video processing.
- .
- This package contains a plugin to make devices managed by the PipeWire
- server available as GStreamer sources and sinks.
-
-Package: libspa-0.2-bluetooth
-Architecture: linux-any
-Multi-Arch: same
-Depends: libspa-0.2-modules (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: libraries for the PipeWire multimedia server - bluetooth plugins
- PipeWire is a server and user space API to deal with multimedia
- pipelines. This includes:
- .
-  - Making available sources of video (such as from a capture devices or
-    application provided streams) and multiplexing this with clients.
-  - Accessing sources of video for consumption.
-  - Generating graphs for audio and video processing.
- .
- This package contains a plugin to make Bluetooth audio devices such as
- speakers and headsets available to the PipeWire server. It is considered

## pipewire 0.3.57

=== meson_options.txt ===
--- 
+++ 
@@ -116,6 +116,10 @@
         description: 'Enable LC3plus open source codec implementation',
         type: 'feature',
         value: 'auto')
+option('bluez5-codec-opus',
+        description: 'Enable Opus open source codec implementation',
+        type: 'feature',
+        value: 'auto')
 option('control',
        description: 'Enable control spa plugin integration',
        type: 'feature',
@@ -249,3 +253,7 @@
        description: 'Enable AVB code',
        type: 'feature',
        value: 'auto')
+option('flatpak',
+       description: 'Enable Flatpak support',
+       type: 'feature',
+       value: 'enabled')

=== debian/changelog ===
pipewire (0.3.57-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 05 Sep 2022 19:00:50 +0300

pipewire (0.3.57-1) unstable; urgency=medium

  * New upstream release
  * Drop patches included in upstream release:
      - aaa015d0: avb: fix compilation on big endian
      - 1a5ec445: avb: fix compilation on big endian
      - f857fd46: avb: fix compilation on big endian
  * Don't install filter-chain.service for now.
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Mon, 05 Sep 2022 09:57:50 +0200

## pipewire 0.3.58

=== debian/changelog ===
pipewire (0.3.58-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Oct 2022 15:47:00 -0700

pipewire (0.3.58-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Disable XFixes, minimum required version not available in Bullseye
  * Reenable libfreeaptx, now in bullseye-backports
  * Do not mark pipewire-pulse in conflict with pulseaudio
      Bullseye (and users) is not ready for this change.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 30 Sep 2022 11:30:26 +0200

pipewire (0.3.58-2) unstable; urgency=medium

  * Mention to install pipewire-alsa and pipewire-jack
      in README.Debian (Closes: #1019971)
  * Add debian/pipewire-alsa.TODO
  * Patch pipewire-pulse.service to be sure it is started
      after a session manager (Closes: #1019944)
    Because of a bug in the way systemd handles aliases, they have been removed
    in wireplumber and pipewire-media-session services to avoid a conflict.
    This change needs to be reflected in the pipewire-pulse service to be sure
    it is started after a session manager, otherwise pipewire-pulse doesn't
    see any devices.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 23 Sep 2022 11:01:16 +0200

pipewire (0.3.58-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release
      - Fix crackling sound if pavucontrol is open (Closes: #1019888)
  * Create a pipewire group and define real-time priority limits
      (Closes: #1011399)
  * Add suggestion to install wireplumber in pipewire.README.Debian
  * Clarify relation between pipewire and libspa-0.2-bluetooth in
      pipewire.README.Debian (Closes: #998220, #1011035)
  * Remove reference to experimental status of pipewire for audio

  [ Sebastien Bacher ]
  * Let pipewire-pulse conflicts on pulseaudio
      (Closes: #1013276, LP: #1975823)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 16 Sep 2022 15:41:31 +0200

pipewire (0.3.57-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Disable XFixes, minimum required version not available in Bullseye
  * Disable libfreeaptx, not yet available in Bullseye

 -- Dylan Aïssi <daissi@debian.org>  Wed, 07 Sep 2022 13:47:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,39 +2,39 @@
 Section: libs
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Jeremy Bicha <jbicha@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                doxygen <!nodoc>,
                graphviz <!nodoc>,
                libasound2-dev,
                libavahi-client-dev,
                libbluetooth-dev,
+               libcanberra-dev,
                libdbus-1-dev,
+               libfreeaptx-dev,
                libglib2.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libjack-jackd2-dev,
-               libcanberra-dev,
                libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                liblilv-dev,
                libncurses-dev,
-               libfreeaptx-dev,
                libpulse-dev,
                libreadline-dev,
                libsbc-dev,
                libsdl2-dev,
                libsndfile1-dev,
                libssl-dev,
+               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libusb-1.0-0-dev,
                libv4l-dev,
                libwebrtc-audio-processing-dev,
-               libxfixes-dev (>= 1:6.0.0),
                meson (>= 0.59.0),
                pkg-config,
-               python3-docutils
+               python3-docutils,
+               systemd [linux-any]
 Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
@@ -47,8 +47,8 @@
 Multi-Arch: same
 Depends: libspa-0.2-modules (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libpipewire-0.3-common
+         ${shlibs:Depends},
+         libpipewire-0.3-common
 Suggests: pipewire (= ${binary:Version})
 Description: libraries for the PipeWire multimedia server
  PipeWire is a server and user space API to deal with multimedia
@@ -197,9 +197,7 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dbus-user-session,
-            pipewire-media-session | wireplumber,
-            rtkit
+Recommends: dbus-user-session, pipewire-media-session | wireplumber, rtkit
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -221,11 +219,8 @@
 Multi-Arch: foreign
 Replaces: pipewire-bin (<< 0.3.27-2)
 Breaks: pipewire-bin (<< 0.3.27-2)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: pulseaudio-utils,
-          libspa-0.2-bluetooth
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: libspa-0.2-bluetooth, pulseaudio-utils
 Description: PipeWire PulseAudio daemon
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -243,9 +238,7 @@
 Multi-Arch: same
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire ALSA plugin
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -263,9 +256,7 @@
 Multi-Arch: same
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire JACK plugin
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -281,13 +272,9 @@
 Section: video
 Architecture: linux-any
 Multi-Arch: same
-Replaces: pipewire-bin (<< 0.3.54-1),
-          libpipewire-0.3-modules (<< 0.3.54-1)
-Breaks: pipewire-bin (<< 0.3.54-1),
-        libpipewire-0.3-modules (<< 0.3.54-1)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Replaces: libpipewire-0.3-modules (<< 0.3.54-1), pipewire-bin (<< 0.3.54-1)
+Breaks: libpipewire-0.3-modules (<< 0.3.54-1), pipewire-bin (<< 0.3.54-1)
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire V4L2 plugin
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -319,3 +306,6 @@
 Multi-Arch: same
 Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: GStreamer 1.0 plugin for the PipeWire multimedia server
+ PipeWire is a server and user space API to deal with multimedia
+ pipelines. This includes:
+ .

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 %:
 	dh $@
@@ -31,6 +31,7 @@
 		-Dauto_features=enabled \
 		-Davahi=enabled \
 		-Dbluez5-codec-aac=disabled \
+		-Dbluez5-codec-lc3plus=disabled \
 		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
 		-Dlibcamera=disabled \
 		-Ddocs=$(DOCS) \
@@ -44,6 +45,7 @@
 		-Dvideotestsrc=enabled \
 		-Dvolume=enabled \
 		-Dvulkan=disabled \
+		-Dx11-xfixes=disabled \
 		$(NULL)
 	install -d debian/ld.so.conf.d
 	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"
@@ -76,15 +78,16 @@
 
 override_dh_shlibdeps-arch:
 	dh_shlibdeps \
-		-ppipewire-audio-client-libraries \
+		-ppipewire-jack \
 		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
 		-- \
-		-Ldebian/pipewire-audio-client-libraries.shlibs.local \
+		-Ldebian/pipewire-jack.shlibs.local \
 		$(NULL)
 	dh_shlibdeps \
 		--remaining-packages \
 		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
 		$(NULL)
 
+# No dbgsym package:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
